# https://hub.docker.com/r/library/python/tags/

before_script:
  - pip install -U pip pytest
  - pip install -e .

.test_template: &test_template
  script:
    - cd tests
    - ./test-all.sh --disable-pytest-warnings

python3.7:
  image: python:3.7-buster
  <<: *test_template

python3.11:
  image: python:3.11-buster
  <<: *test_template